using System.Collections;
using System.Collections.Generic;
using Godot;
using System;



namespace Rokojori
{
  [Tool]
  [GlobalClass]
  public partial class UnitBillboardQuadsGenerator:MeshGeneratorType
  {
    [Export]
    public int num = 1;

    protected override string GetCachePath()
    {
      return "UnitBillboardQuadsGenerator-" + num; 
    }

    protected override MeshGeometry _GenerateMeshGeometry()
    {
      return MeshGeometry.UnitBillboardQuads( num, 0f, 1f );
    }
  }
}